import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod } from "./IShortPeriodLongPeriod";
import { IndicatorDisplayType } from "./IndicatorDisplayType";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-angular-core";
import { DependencyProperty } from "igniteui-angular-core";
import { Series } from "./Series";
/**
 * @hidden
 */
export declare class MovingAverageConvergenceDivergenceIndicator extends StrategyBasedIndicator implements IShortPeriodLongPeriod {
    static $t: Type;
    protected bk(): Series;
    protected get_abc(): IndicatorDisplayType;
    constructor();
    protected get_ab5(): IndicatorCalculationStrategy;
    protected get ab5(): IndicatorCalculationStrategy;
    protected get_aci(): Type;
    protected get aci(): Type;
    get shortPeriod(): number;
    set shortPeriod(a: number);
    static readonly act: DependencyProperty;
    protected acd(): number;
    get longPeriod(): number;
    set longPeriod(a: number);
    static readonly acs: DependencyProperty;
    protected aca(): number;
    get signalPeriod(): number;
    set signalPeriod(a: number);
    static readonly acu: DependencyProperty;
    protected abl(): number;
}
